# Class FileAppendStreamLRUCache

java.lang.Object
htsjdk.samtools.util.ResourceLimitedMap<File, OutputStream>
htsjdk.samtools.util.FileAppendStreamLRUCache

public class FileAppendStreamLRUCache extends ResourceLimitedMap<File, OutputStream>
LRU cache of OutputStreams to handle situation in which it is necessary to have more FileOutputStreams than resource limits will allow. Least-recently-used FileOutputStream is closed when it is pushed out of the cache. When adding a new element to the cache, the file is opened in append mode. Actual elements in the cache are usually BufferedOutputStreams wrapping the FileOutputStreams, but will be FileOutputStreams if Defaults.BUFFER_SIZE = 0.

## Constructor Summary

Constructors
Constructor
Description
`FileAppendStreamLRUCache(int cacheSize)`

## Method Summary

### Methods inherited from class ResourceLimitedMap

`containsKey, finalizeAll, get, remove`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileAppendStreamLRUCache

public FileAppendStreamLRUCache(int cacheSize)